## org.eclipse.emf.ocl.expressions.util
Class AbstractVisitor

    java.lang.Object
      org.eclipse.emf.ocl.expressions.util.AbstractVisitor

All Implemented Interfaces:
  Visitor

Direct Known Subclasses:
  EvaluationVisitorImpl

Deprecated. Use the `AbstractVisitor` interface, instead.

    @Deprecated
    public abstract class AbstractVisitor

extends Object
implements Visitor

An implementation of the model object 'Visitor'.

Constructor Summary
`AbstractVisitor()` Deprecated.

Method Summary
`Object` `visitAssociationClassCallExp(AssociationClassCallExp ac)` Deprecated.
`Object` `visitBooleanLiteralExp(BooleanLiteralExp bl)` Deprecated.
`Object` `visitCollectionLiteralExp(CollectionLiteralExp cl)` Deprecated.
`Object` `visitConstraint(Constraint constraint)` Deprecated.
`Object` `visitEnumLiteralExp(EnumLiteralExp el)` Deprecated.
`Object` `visitIfExp(IfExp i)` Deprecated.
`Object` `visitIntegerLiteralExp(IntegerLiteralExp il)` Deprecated.
`Object` `visitInvalidLiteralExp(InvalidLiteralExp il)` Deprecated.
`Object` `visitIterateExp(IterateExp ie)` Deprecated.
`Object` `visitIteratorExp(IteratorExp ie)` Deprecated.
`Object` `visitLetExp(LetExp l)` Deprecated.
`Object` `visitMessageExp(MessageExp m)` Deprecated.
`Object` `visitNullLiteralExp(NullLiteralExp il)` Deprecated.
`Object` `visitOperationCallExp(OperationCallExp oc)` Deprecated.
`Object` `visitPropertyCallExp(PropertyCallExp pc)` Deprecated.
`Object` `visitRealLiteralExp(RealLiteralExp rl)` Deprecated.
`Object` `visitStateExp(StateExp s)` Deprecated.
`Object` `visitStringLiteralExp(StringLiteralExp sl)` Deprecated.
`Object` `visitTupleLiteralExp(TupleLiteralExp tl)` Deprecated.
`Object` `visitTupleLiteralPart(TupleLiteralPart tp)` Deprecated.
`Object` `visitTypeExp(TypeExp t)` Deprecated.
`Object` `visitUnspecifiedValueExp(UnspecifiedValueExp uv)` Deprecated.
`Object` `visitVariable(Variable vd)` Deprecated.
`Object` `visitVariableExp(VariableExp v)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractVisitor

    public AbstractVisitor()

  Deprecated.

Method Detail

### visitOperationCallExp

    public Object visitOperationCallExp(OperationCallExp oc)

  Deprecated.
  Specified by:
    `visitOperationCallExp` in interface `Visitor`

### visitVariableExp

    public Object visitVariableExp(VariableExp v)

  Deprecated.
  Specified by:
    `visitVariableExp` in interface `Visitor`

### visitPropertyCallExp

    public Object visitPropertyCallExp(PropertyCallExp pc)

  Deprecated.
  Specified by:
    `visitPropertyCallExp` in interface `Visitor`

### visitAssociationClassCallExp

    public Object visitAssociationClassCallExp(AssociationClassCallExp ac)

  Deprecated.
  Specified by:
    `visitAssociationClassCallExp` in interface `Visitor`

### visitVariable

    public Object visitVariable(Variable vd)

  Deprecated.
  Specified by:
    `visitVariable` in interface `Visitor`

### visitIfExp

    public Object visitIfExp(IfExp i)

  Deprecated.
  Specified by:
    `visitIfExp` in interface `Visitor`

### visitTypeExp

    public Object visitTypeExp(TypeExp t)

  Deprecated.
  Specified by:
    `visitTypeExp` in interface `Visitor`

### visitMessageExp

    public Object visitMessageExp(MessageExp m)

  Deprecated.
  Specified by:
    `visitMessageExp` in interface `Visitor`

### visitUnspecifiedValueExp

    public Object visitUnspecifiedValueExp(UnspecifiedValueExp uv)

  Deprecated.
  Specified by:
    `visitUnspecifiedValueExp` in interface `Visitor`

### visitStateExp

    public Object visitStateExp(StateExp s)

  Deprecated.
  Specified by:
    `visitStateExp` in interface `Visitor`

### visitIntegerLiteralExp

    public Object visitIntegerLiteralExp(IntegerLiteralExp il)

  Deprecated.
  Specified by:
    `visitIntegerLiteralExp` in interface `Visitor`

### visitRealLiteralExp

    public Object visitRealLiteralExp(RealLiteralExp rl)

  Deprecated.
  Specified by:
    `visitRealLiteralExp` in interface `Visitor`

### visitStringLiteralExp

    public Object visitStringLiteralExp(StringLiteralExp sl)

  Deprecated.
  Specified by:
    `visitStringLiteralExp` in interface `Visitor`

### visitBooleanLiteralExp

    public Object visitBooleanLiteralExp(BooleanLiteralExp bl)

  Deprecated.
  Specified by:
    `visitBooleanLiteralExp` in interface `Visitor`

### visitNullLiteralExp

    public Object visitNullLiteralExp(NullLiteralExp il)

  Deprecated.
  Specified by:
    `visitNullLiteralExp` in interface `Visitor`

### visitInvalidLiteralExp

    public Object visitInvalidLiteralExp(InvalidLiteralExp il)

  Deprecated.
  Specified by:
    `visitInvalidLiteralExp` in interface `Visitor`

### visitTupleLiteralExp

    public Object visitTupleLiteralExp(TupleLiteralExp tl)

  Deprecated.
  Specified by:
    `visitTupleLiteralExp` in interface `Visitor`

### visitTupleLiteralPart

    public Object visitTupleLiteralPart(TupleLiteralPart tp)

  Deprecated.
  Specified by:
    `visitTupleLiteralPart` in interface `Visitor`

### visitLetExp

    public Object visitLetExp(LetExp l)

  Deprecated.
  Specified by:
    `visitLetExp` in interface `Visitor`

### visitEnumLiteralExp

    public Object visitEnumLiteralExp(EnumLiteralExp el)

  Deprecated.
  Specified by:
    `visitEnumLiteralExp` in interface `Visitor`

### visitCollectionLiteralExp

    public Object visitCollectionLiteralExp(CollectionLiteralExp cl)

  Deprecated.
  Specified by:
    `visitCollectionLiteralExp` in interface `Visitor`

### visitIteratorExp

    public Object visitIteratorExp(IteratorExp ie)

  Deprecated.
  Specified by:
    `visitIteratorExp` in interface `Visitor`

### visitIterateExp

    public Object visitIterateExp(IterateExp ie)

  Deprecated.
  Specified by:
    `visitIterateExp` in interface `Visitor`

### visitConstraint

    public Object visitConstraint(Constraint constraint)

  Deprecated.
  Specified by:
    `visitConstraint` in interface `Visitor`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.